async function r(t) {
  const e = await t.file("meta.json")?.async("string");
  let a = { version: 0, application: "" };
  if (e)
    try {
      a = JSON.parse(e);
    } catch (n) {
      throw console.error(n), new Error("Failed to parse meta.json in the zip archive");
    }
  else
    console.warn("meta.json not found in the zip archive, using default metadata");
  return a;
}
export {
  r as loadZipMeta
};
